svn commit: r1934853 - httpd/dev-tools/trunk/github

[email protected]
Newsgroups gmane.comp.apache.cvs
Message-ID <178033678091.1655429.10107045763122602182@svn03-he-fi>
Author: covener
Date: Mon Jun  1 17:59:40 2026
New Revision: 1934853

Log:
force upstream target when using `gh`

already in `hub`

Modified:
   httpd/dev-tools/trunk/github/create_pr.sh

Modified: httpd/dev-tools/trunk/github/create_pr.sh
==============================================================================
--- httpd/dev-tools/trunk/github/create_pr.sh	Mon Jun  1 17:41:30 2026	(r1934852)
+++ httpd/dev-tools/trunk/github/create_pr.sh	Mon Jun  1 17:59:40 2026	(r1934853)
@@ -13,6 +13,8 @@
 # If gh is available it will be preferred over hub.
 
 
+set -e
+
 usage()
 {
     echo "usage: $(basename $0) [-r] [-b branch name] [-t target branch name] <revision number> [revision numbers] ..."
@@ -20,6 +22,7 @@ usage()
     exit
 }
 
+REPO=apache/httpd
 TARGET_BRANCH_NAME="2.4.x"
 RESUME=0
 
@@ -97,7 +100,7 @@ fi
 git push -u origin $BRANCH_NAME
 MESSAGE=`echo "$@" | sed -e 's/ /, r/g'`
 if type -P gh > /dev/null ; then
-    RESULT=`gh pr create -B "$TARGET_BRANCH_NAME" -b "Merge r${MESSAGE} from trunk" --title "Merge r${MESSAGE} from trunk"`
+    RESULT=`gh pr create --repo $REPO -B "$TARGET_BRANCH_NAME" -b "Merge r${MESSAGE} from trunk" --title "Merge r${MESSAGE} from trunk"`
 else
     RESULT=`hub pull-request -b "apache:${TARGET_BRANCH_NAME}" -m "Merge r${MESSAGE} from trunk"`
 fi
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.